export declare const DynamicIslandSizes: readonly ["contracted", "expanded"];
export type DynamicIslandSize = (typeof DynamicIslandSizes)[number];
export interface DynamicIslandPreset {
    width: number;
    aspectRatio: number;
    borderRadius: number;
}
export declare const DynamicIslandSizePresets: Record<DynamicIslandSize, DynamicIslandPreset>;
