import { Editor } from '@tiptap/core';
import { Ref } from 'vue';
import { EditorCommand } from '.';
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/nodes/blockquote}
 */
export declare function useBlockquote(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/marks/link}
 */
export declare function useLink(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
