import { LIcon } from 'itlab-icons';
export * from './_alignments';
export * from './_codes';
export * from './_colors';
export * from './_etc';
export * from './_histories';
export * from './_lists';
export * from './_sizes';
export * from './_styles';
export * from './_table';
export interface EditorCommand {
    label: string;
    icon: LIcon;
    run(): boolean;
    active: boolean;
    disabled: boolean;
}
export interface EditorCommandGroup {
    parent: Omit<EditorCommand, 'run'>;
    groups: Record<string, EditorCommand[]>;
}
