import { Idea, IdeaState, User } from '@/models';
export type IdeaNote = {
    id: string;
    authorId: string;
    author: User;
    content: string;
    createdAt: string;
    updatedAt: string;
};
export type IdeaExtended = Idea & {
    state?: IdeaState;
    notes?: IdeaNote[];
    _assignedTo?: string;
    _url?: string;
};
