import { MaybeRef } from 'vue';
export declare function useMediaTime(media: MaybeRef<HTMLMediaElement | undefined>): {
    duration: number;
    buffered: number;
    currentTime: number;
    seekTime: number;
    seek: (amount: number) => void;
    seekEnded: () => void;
    format: (seconds: MaybeRef<number>) => string;
    formatted: string;
};
export type MediaTime = ReturnType<typeof useMediaTime>;
