import { MaybeRef } from 'vue';
export declare function useMediaVolume(media: MaybeRef<HTMLMediaElement | undefined>, initialVolume?: number): {
    muted: boolean;
    volume: number;
    format: (volume: MaybeRef<number>) => string;
    formatted: string;
};
export type MediaVolume = ReturnType<typeof useMediaVolume>;
