import { MaybeRefOrGetter } from 'vue';
export declare function useSource(source?: MaybeRefOrGetter<string | undefined>): {
    transform: <T extends string | undefined>(src: T) => T;
    onError: () => void;
    key: symbol;
    error: boolean;
    value: string | undefined;
    plain: string;
    gray: string;
};
