import { User } from '@/models';
import { MaybeRef } from 'vue';
export declare function useUser(userId: MaybeRef<string | undefined>): import("vue").Ref<{
    id: string;
    username: string;
    email: string;
    avatar?: string | undefined;
    loading: boolean;
}, (User & {
    loading: boolean;
}) | {
    id: string;
    username: string;
    email: string;
    avatar?: string | undefined;
    loading: boolean;
}>;
