import { AnimationKeyframes, AnimationOptions } from '@/motion';
import { Directive } from 'vue';
export interface ScrollRevealConfig {
    keyframes: AnimationKeyframes;
    options?: AnimationOptions;
    offset?: `${number} ${number}`[];
}
export declare function createScrollRevealDirective(config: ScrollRevealConfig): Directive<HTMLElement>;
declare const ScrollRevealDirective: Directive<HTMLElement>;
export { ScrollRevealDirective, ScrollRevealDirective as vScrollReveal };
