import { LabModelBase } from 'itlab-functions';
import { LIcon } from 'itlab-icons';
import { HubResource } from '..';
import { Selectable } from './selectable.model';
export interface Conflict {
    id: string;
    _resource: HubResource;
    _resourceId: string;
    timestamp: string;
    message: string;
    level: ConflictLevel;
    resource?: LabModelBase;
    createdAt: string;
    updatedAt: string;
    _url: string;
}
declare const ConflictLevels: readonly [1, 2, 3];
export type ConflictLevel = (typeof ConflictLevels)[number];
export declare const ConflictColor: Record<ConflictLevel, string>;
export declare const ConflictIcon: Record<ConflictLevel, LIcon>;
export declare const ConflictLabel: Record<ConflictLevel, string>;
export declare const SELECTABLE_CONFLICT_LEVELS: Selectable[];
export {};
