import { NotificationOptions } from '@/composables';
import { LIcon } from 'itlab-icons';
export declare const useSystemNotificationStore: () => {
    queue: {
        readonly active: {
            title?: string | undefined;
            message: string;
            icon?: LIcon | undefined;
            color?: string | undefined;
            duration?: number | undefined;
            immediate?: boolean | undefined;
            key: symbol;
        } | undefined;
        add: (item: NotificationOptions) => void;
        next: () => void;
    };
    sendNotification: (content: NotificationOptions | string, options?: {
        color?: string;
        icon?: LIcon;
        immediate?: boolean;
        duration?: number;
    }) => void;
};
