import { User } from '@/models';
export declare const useUserStore: () => {
    fetch: (userId: string) => Promise<User>;
    states: Map<string, {
        id: string;
        username: string;
        email: string;
        avatar?: string | undefined;
    }> & Omit<Map<string, User>, keyof Map<any, any>>;
};
