export type KeyOfType<T, V> = keyof {
    [P in keyof T as T[P] extends V ? P : never]: any;
};
export type SearchResult<T> = {
    total: number;
    results: T[];
};
export type Timestamp = number | string | Date;
export type Download = {
    uri: string;
    filename: string;
};
