import { UnwrapNestedRefs } from 'vue';
export interface State {
    email: string;
    password: string;
    remember: boolean;
    submitting: boolean;
    sendSignInMessage: boolean;
    screen?: 'mail' | 'token' | 'password' | 'password-reset';
    jwt?: string;
}
export declare function provideState(state: UnwrapNestedRefs<State>): void;
export declare function useState(): {
    email: string;
    password: string;
    remember: boolean;
    submitting: boolean;
    sendSignInMessage: boolean;
    screen?: "mail" | "token" | "password" | "password-reset" | undefined;
    jwt?: string | undefined;
};
