import { LIcon } from 'itlab-icons';
import { CSSProperties } from 'vue';
type __VLS_Props = {
    label?: any;
    icon?: LIcon | {
        kind: LIcon;
        trailing?: boolean;
        styles?: CSSProperties;
    };
    bSize?: 'small' | 'medium' | 'large';
    small?: boolean;
    medium?: boolean;
    large?: boolean;
    bColor?: 'primary' | 'color' | 'secondary' | 'destructive' | 'affirmative';
    primary?: boolean;
    color?: boolean;
    secondary?: boolean;
    destructive?: boolean;
    affirmative?: boolean;
    bStyle?: 'plain' | 'gray' | 'plaque' | 'plaque-filled' | 'tinted' | 'filled' | 'flat';
    plain?: boolean;
    gray?: boolean;
    plaque?: boolean;
    plaqueFilled?: boolean;
    tinted?: boolean;
    filled?: boolean;
    flat?: boolean;
    disabled?: boolean;
    round?: boolean;
    squared?: boolean;
    translucent?: boolean;
    actionPlain?: boolean;
    actionGray?: boolean;
    actionTinted?: boolean;
    actionFilled?: boolean;
};
declare var __VLS_14: {};
type __VLS_Slots = {} & {
    default?: (props: typeof __VLS_14) => any;
};
declare const __VLS_component: import("vue").DefineComponent<__VLS_Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    click: (data: MouseEvent) => any;
}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{
    onClick?: ((data: MouseEvent) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
