import { Node } from '@tiptap/core';
export interface ArticleOptions {
    HTMLAttributes: Record<string, any>;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        article: {
            /**
             * Set a article node
             */
            setArticle: () => ReturnType;
            /**
             * Toggle a article node
             */
            toggleArticle: () => ReturnType;
        };
    }
}
declare const Article: Node<ArticleOptions, any>;
export default Article;
