import { Editor } from '@tiptap/core';
import { Ref } from 'vue';
import { EditorCommand, EditorCommandGroup } from '.';
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/extensions/color}
 */
export declare function useColor(editor: Ref<Editor | undefined>, label: string, color: string): import("vue").ComputedRef<EditorCommand & {
    color: string;
}>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/extensions/color}
 */
export declare function useUnsetColor(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useColors(editor: Ref<Editor | undefined>): import("vue").ComputedRef<(EditorCommand & {
    color: string;
})[]>;
export declare function useColorsGroup(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommandGroup>;
