import { Editor } from '@tiptap/core';
import { Ref } from 'vue';
import { EditorCommand, EditorCommandGroup } from '.';
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/nodes/bullet-list}
 */
export declare function useBulletList(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/nodes/ordered-list}
 */
export declare function useOrderedList(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/nodes/task-list}
 */
export declare function useTaskList(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/nodes/list-item}
 */
export declare function useUnsetList(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/nodes/list-item}
 */
export declare function useIncreaseListLevel(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/nodes/list-item}
 */
export declare function useDecreaseListLevel(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useListsGroup(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommandGroup>;
