import { MaybeRef } from 'vue';
export declare function useMediaControls(media: MaybeRef<HTMLMediaElement | undefined>): {
    play: () => Promise<void>;
    pause: () => void;
    togglePlay: () => Promise<void>;
};
export type MediaControls = ReturnType<typeof useMediaControls>;
