import { LIcon } from 'itlab-icons';
import { MaybeRef } from 'vue';
type MediaStatusValue = 'loading' | 'playing' | 'paused' | 'ended' | 'error';
export declare function useMediaStatus(media: MaybeRef<HTMLMediaElement | undefined>): {
    value: MediaStatusValue;
    icon: LIcon;
    label: string;
};
export type MediaStatus = ReturnType<typeof useMediaStatus>;
export {};
