export interface ParamConfig {
    name: string;
    fallback?: string;
}
/**
 *
 * @remarks
 * Diese Methode kann nur gleichzeitig mit dem {@link https://router.vuejs.org/ | Vue Router} verwendet werden
 *
 * @param cfg - ParamConfig
 */
export declare function useParam(cfg: ParamConfig): import("vue").WritableComputedRef<string | undefined, string | undefined>;
/**
 *
 * @remarks
 * Diese Methode kann nur gleichzeitig mit dem {@link https://router.vuejs.org/ | Vue Router} verwendet werden
 *
 * @param name - Name of the parameter (default: 'year')
 */
export declare function useParamYear(name?: string): import("vue").WritableComputedRef<number | undefined, number | undefined>;
/**
 *
 * @remarks
 * Diese Methode kann nur gleichzeitig mit dem {@link https://router.vuejs.org/ | Vue Router} verwendet werden
 *
 * @param name - Name of the parameter (default: 'month')
 */
export declare function useParamMonth(name?: string): import("vue").WritableComputedRef<number | undefined, number | undefined>;
