interface SidebarConfig {
    width?: string;
    transition?: boolean;
}
export declare function useSidebar(name: string, cfg?: SidebarConfig): {
    visible: boolean;
    transition: boolean;
    width: string;
    show: () => void;
    hide: () => void;
    enableTransitions: () => void;
    disableTransitions: () => void;
};
export type SidebarInstance = ReturnType<typeof useSidebar>;
export {};
