import { AnimationKeyframes, AnimationOptions } from '@/motion';
import { Directive } from 'vue';
type Callback = (fade: 'in' | 'out') => void;
type Binding = Callback | boolean | undefined;
export declare function createFadeDirective(fadeOut: AnimationKeyframes, fadeIn: AnimationKeyframes, options?: AnimationOptions): Directive<HTMLElement, Binding>;
declare const FadeDirective: Directive<HTMLElement, Binding>;
export { FadeDirective, FadeDirective as vFade };
